﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GrapeCity.Windows.SpreadSheet.Data;

namespace ActiveCellHeaderStyle_CSharp
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();       
          
        }

        void gcSpreadSheet1_EnterCell(object sender, GrapeCity.Windows.SpreadSheet.UI.EnterCellEventArgs e)
        {
            //throw new NotImplementedException();
            this.gcSpreadSheet1.InvalidateRows(0, 1, SheetArea.ColumnHeader);      
        }
        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            this.gcSpreadSheet1.Sheets.Clear();
            this.gcSpreadSheet1.Sheets.Add(new MyWorksheet() { RowCount = 10, ColumnCount = 8, DefaultColumnWidth = 100, DefaultRowHeight = 28 });           
            this.gcSpreadSheet1.EnterCell +=new EventHandler<GrapeCity.Windows.SpreadSheet.UI.EnterCellEventArgs>(gcSpreadSheet1_EnterCell);
        }     
    }
    public class MyWorksheet : Worksheet
    {
        public override StyleInfo GetActualStyleInfo(int row, int column, SheetArea sheetArea)
        {
            var style = base.GetActualStyleInfo(row, column, sheetArea);
            if (column == this.ActiveColumnIndex && sheetArea == SheetArea.ColumnHeader)
            {
                style.Foreground = new SolidColorBrush(Colors.White);
                style.FontStyle = FontStyles.Italic;
            }
            return style;

        }

    } 
}
